Name:		b43-fwcutter
Summary:	Tool to extract firmware for Broadcom 43xx network chip
Version:	019
Release:	%mkrel 5
Source:		http://bues.ch/b43/fwcutter/%{name}-%{version}.tar.bz2
Patch0:		%{name}-013-install_perms.patch
URL:		http://linuxwireless.org/en/users/Drivers/b43
License:	GPL
Group:		System/Networking

%description
Fwcutter allows you to extract the firmware required for Broadcom 43xx chips
out of the .o files available with the card or on the internet.

Not all versions of the firmwares are supported by this tool.
You can list supported firmwares with :
b43-fwcutter -l

Depending on your chip, you will need a version 3 or 4 firmware.

Useful reading and links to firmwares that can be extracted are available at 
http://linuxwireless.org/en/users/Drivers/b43

Extract (as root) with :
b43-fwcutter -w /lib/firmware wl_apsta_mimo.o OR
b43-fwcutter -w /lib/firmware wl_apsta.o (for LP-PHY cards like BCM4312 only!)

It will create files directly at the required place (in either b43legacy or 
b43 subfolder).

%prep
%setup -q
%patch0 -p1
perl -pi -e 's|man/man1|share/man/man1|g' Makefile

%build
CFLAGS="$RPM_OPT_FLAGS" make
										
%install
make install PREFIX=%buildroot/%_prefix

%files
%doc README
%{_bindir}/*
%{_mandir}/man1/*





%changelog
* Wed Feb 12 2020 umeabot <umeabot> 019-5.mga8
+ Revision: 1510624
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 019-4.mga7
+ Revision: 1295216
- Mageia 7 Mass Rebuild

* Mon Sep 18 2017 tv <tv> 019-3.mga7
+ Revision: 1155169
- use our flags thus fixing debugsources

* Wed Feb 10 2016 umeabot <umeabot> 019-2.mga6
+ Revision: 953115
- Mageia 6 Mass Rebuild

* Sat Jul 25 2015 blino <blino> 019-1.mga6
+ Revision: 857313
- 019

* Wed Oct 15 2014 umeabot <umeabot> 018-3.mga5
+ Revision: 739175
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 018-2.mga5
+ Revision: 678089
- Mageia 5 Mass Rebuild

* Fri Mar 07 2014 tv <tv> 018-1.mga5
+ Revision: 600906
- new release

* Fri Oct 18 2013 umeabot <umeabot> 017-4.mga4
+ Revision: 521429
- Mageia 4 Mass Rebuild

* Tue Jan 22 2013 fwang <fwang> 017-3.mga3
+ Revision: 390847
- update rpm group

* Fri Jan 11 2013 umeabot <umeabot> 017-2.mga3
+ Revision: 346751
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 zezinho <zezinho> 017-1.mga3
+ Revision: 330462
- new version

* Mon Dec 03 2012 zezinho <zezinho> 016-1.mga3
+ Revision: 326044
- new version

* Mon Aug 29 2011 tv <tv> 015-1.mga2
+ Revision: 136225
- new release

* Tue Jan 11 2011 supp <supp> 013-1.mga1
+ Revision: 6257
- imported package b43-fwcutter


* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 013-2mdv2011.0
+ Revision: 603753
- rebuild

* Mon Apr 19 2010 Thomas Backlund <tmb@mandriva.org> 013-1mdv2010.1
+ Revision: 536872
- update to 013

* Fri Mar 26 2010 Tomas Kindl <supp@mandriva.org> 012-3b.1mdv2010.1
+ Revision: 527686
- update to GIT version as it support LP-PHY devices (BCM4312) FW extraction
- minor cleanups related to update

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 012-2mdv2010.1
+ Revision: 522187
- rebuilt for 2010.1

* Fri Jun 05 2009 Frederik Himpe <fhimpe@mandriva.org> 012-1mdv2010.0
+ Revision: 383126
- update to new version 012

* Fri Mar 06 2009 Antoine Ginies <aginies@mandriva.com> 011-3mdv2009.1
+ Revision: 350161
- 2009.1 rebuild

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 011-2mdv2009.0
+ Revision: 264326
- rebuild early 2009.0 package (before pixel changes)

* Tue Mar 04 2008 Guillaume Bedot <littletux@mandriva.org> 011-1mdv2009.0
+ Revision: 178974
- drop obsolete patch
- New release 011

* Fri Jan 25 2008 Guillaume Bedot <littletux@mandriva.org> 010-2mdv2008.1
+ Revision: 157948
- allow to extract firmware for our current kernel without specifying a misleading option.

* Fri Jan 25 2008 Guillaume Bedot <littletux@mandriva.org> 010-1mdv2008.1
+ Revision: 157869
- new version
- updated URL, description
- dropped README.urpmi

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 008-2mdv2008.1
+ Revision: 148911
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Aug 30 2007 Guillaume Bedot <littletux@mandriva.org> 008-1mdv2008.0
+ Revision: 75833
- New name for bcm43xx-fwcutter package
- Create b43-fwcutter

